[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_crwapi' (#crwlib)

# IGuiApi

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_crwapi.pas line 4197

`type IGuiApi = interface(IPluginApi)`
`procedure Echo();`
`function Warning();`
`function Information();`
`function YesNo();`
`function YesNoCancel();`
`function Error();`
`function Trouble();`
`function NoProblem();`
`function ListBoxMenu();`
`function ListBoxMultiSelection();`
`function TextEditDialog();`
`function UsesBlaster;`
`procedure Voice();`
`procedure StopBlaster;`
`procedure AddSoundLibrary();`
`procedure ApplicationProcessMessages;`
`procedure UpdateSystemConsole;`
`function RGB();`
`function CgaColorNameEng();`
`function CgaColorNameRus();`
`function CgaColorByName();`
`function CgaToRGBColor();`
`function ApplicationHandle;`
`function SendToMainConsole();`
`end;`

## Inheritance

`IGuiApi`
`IPluginApi`
`IUnknown`
?